Bug 106769

Summary: [GTK] build-webkit fails if the jhbuild wrapper is not used
Product: WebKit Reporter: Sergio Villar Senin <svillar>
Component: WebKitGTKAssignee: Sergio Villar Senin <svillar>
Status: RESOLVED FIXED    
Severity: Normal CC: dbates, gns, gtk-ews, hausmann, kenneth, laszlo.gombos, mrobinson, ossy, svillar, xan.lopez
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch none

Description Sergio Villar Senin 2013-01-14 02:03:01 PST
[GTK] build-webkit fails if the jhbuild wrapper is not used
Comment 1 Sergio Villar Senin 2013-01-14 02:05:47 PST
Created attachment 182529 [details]
Patch
Comment 2 Sergio Villar Senin 2013-01-14 02:07:00 PST
I found this while trying to use WEBKITOUTPUTDIR. The jhbuild wrapper was not used because I didn't have the "Dependencies" folder in the new location specified by the environmnet variable.
Comment 3 kov's GTK+ EWS bot 2013-01-14 02:34:05 PST
Comment on attachment 182529 [details]
Patch

Attachment 182529 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/15868440
Comment 4 Sergio Villar Senin 2013-01-14 05:12:06 PST
Created attachment 182551 [details]
Patch
Comment 5 Sergio Villar Senin 2013-01-14 05:25:26 PST
Created attachment 182555 [details]
Patch
Comment 6 kov's GTK+ EWS bot 2013-01-14 06:32:45 PST
Comment on attachment 182555 [details]
Patch

Attachment 182555 [details] did not pass gtk-ews (gtk):
Output: http://queues.webkit.org/results/15868501
Comment 7 Sergio Villar Senin 2013-01-14 07:06:11 PST
(In reply to comment #6)
> (From update of attachment 182555 [details])
> Attachment 182555 [details] did not pass gtk-ews (gtk):
> Output: http://queues.webkit.org/results/15868501

Beh, not sure where that "3" comes from...
Comment 8 Martin Robinson 2013-01-14 16:20:28 PST
Comment on attachment 182555 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=182555&action=review

The build failure seems legitimate, so it should probably be fixed.

> Tools/Scripts/webkitdirs.pm:1967
> +    # Prefix the command with jhbuild run.
> +    my $jhbuildWrapper = jhbuildWrapperPrefixIfNeeded();
> +    unshift(@buildArgs, $jhbuildWrapper) if ($jhbuildWrapper ne "");
> +

Why not add a function like prefixWithJHBuildWrapperIfNeeded()?
Comment 9 Sergio Villar Senin 2013-01-15 03:22:36 PST
Created attachment 182729 [details]
Patch
Comment 10 Sergio Villar Senin 2013-01-16 04:02:16 PST
Comment on attachment 182729 [details]
Patch

Clearing flags on attachment: 182729

Committed r139868: <http://trac.webkit.org/changeset/139868>
Comment 11 Sergio Villar Senin 2013-01-16 04:02:23 PST
All reviewed patches have been landed.  Closing bug.